Public Member Functions | Public Attributes | List of all members
clan::Vec3hf Class Reference
clanCore Math

3D half-float vector More...

`#include <half_float_vector.h>`

## Public Member Functions
| Vec3hf ()
| Vec3hf (const HalfFloat &scalar)
| Vec3hf (const Vec2hf &copy, const HalfFloat &p3)
| Vec3hf (const Vec4hf &copy)
| Vec3hf (const HalfFloat &p1, const HalfFloat &p2, const HalfFloat &p3)
| Vec3hf (const HalfFloat *array_xyz)
| Vec3hf (float scalar)
| Vec3hf (const Vec2f &copy, float p3)
| Vec3hf (const Vec4f &copy)
| Vec3hf (float p1, float p2, float p3)
| Vec3hf (const float *array_xyz)
| Vec3hf (const Vec3hf &copy)
| Vec3hf (const Vec3d &copy)
| Vec3hf (const Vec3f &copy)
| Vec3hf (const Vec3i &copy)
| operator Vec3f () const
Vec3f | to_float () const

## Public Attributes
HalfFloat | x
HalfFloat | y
HalfFloat | z

## Detailed Description

3D half-float vector

The documentation for this class was generated from the following file:

- half_float_vector.h